
From: "Jan Beulich" <JBeulich@novell.com>

An adjustment to the SM_DOWN case of fbcon_scroll to match the behavior of
SM_UP.

Signed-off-by: Jan Beulich <jbeulich@novell.com>
Cc: "Antonino A. Daplas" <adaplas@hotpop.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/console/fbcon.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/video/console/fbcon.c~minor-fbcon_scroll-adjustment drivers/video/console/fbcon.c
--- 25/drivers/video/console/fbcon.c~minor-fbcon_scroll-adjustment	Fri Sep  9 16:55:34 2005
+++ 25-akpm/drivers/video/console/fbcon.c	Fri Sep  9 16:55:34 2005
@@ -1687,6 +1687,8 @@ static int fbcon_scroll(struct vc_data *
 	case SM_DOWN:
 		if (count > vc->vc_rows)	/* Maximum realistic size */
 			count = vc->vc_rows;
+		if (logo_shown >= 0)
+			goto redraw_down;
 		switch (p->scrollmode) {
 		case SCROLL_MOVE:
 			ops->bmove(vc, info, t, 0, t + count, 0,
_
